// FILENAME:	CTF_City_on_the_Edge.cs
//
// AUTHORS:		Amee
//------------------------------------------------------------------------------

$missionName = "CTF_City_on_the_Edge";

$killPoints    = 3;
$deathPoints   = 2;


exec("multiplayerStdLib.cs");
exec("CTFstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = true;

   // what can the server admin choose for available teams
   $server::disableTeamRed = true;
   $server::disableTeamBlue = false;
   $server::disableTeamYellow = true;
   $server::disableTeamPurple = false;
}

function player::onAdd(%this)
{
   say(%this, 0, "Welcome to Battles in the Sky. This map was made by [GoP]Stith or to many, Trinity.");
}


function onMissionLoad()
{
   cdAudioCycle("Purge", "Terror", "Watching");
}

function onMissionStart()
{
   
 	$padWaitTime = 0;
  	$zenWaitTime = 0;

	marsSounds();
	
}


// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}

// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}

// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}


//==================
//ZenFunctions
//================== 
function ZenTransporter1::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, -223.069, 7577.98, 104.505);
} 
function Zentransporter2::trigger::onEnter(%this, %vehicleID)
{
setPosition(%vehicleId, -7711.48, 743.694, 113.696);
}
function Zentransporter3::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 226.752, 443.012, 130);
}
function Zentransporter4::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 151.601, 74.4395, 872.169);
}
function Zentransporter5::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 226.752, 442.012, 130);
}
function Zentransporter6::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, -7711.48, 743.694, 113.696);
}
function Zentransporter7::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 226.752, 442.012, 130);
}
function Zentransporter8::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, -223.069, 7577.98, 104.505);
}
function Zentransporter9::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, -7845.5, -7972.45, 103.197);
}
function Zentransporter10::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 6984, -8580.25, 2630.14);
}
function Zentransporter11::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 151.601, 74.4395, 872.169);
}
function Zentransporter12::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 79.4658, 167.944, 981.801);
}
function Zentransporter13::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 79.4658, 167.944, 981.801);
}
function Zentransporter14::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8408.68, -8441.4, 2678.61);
}
function Zentransporter15::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8426.07, -8102.9, 2560.26);
}
function Zentransporter16::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8204.67, -8151.58, 2630.48);
}
function Zentransporter17::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8523, -8222.71, 2588.72);
}
function Zentransporter18::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8523, -8222.71, 2588.72);
}
function Zentransporter19::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8377.62, -8383.3, 2582.5);
}
function Zentransporter20::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8204.67, -8151.58, 2630.48);
}
function Zentransporter21::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8239.3, -8512.56, 2578.56);
}
function Zentransporter22::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8204.67, -8151.58, 2630.48);
}
function Zentransporter23::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 7502.77, -8070.8, 2616.1);
}
function Zentransporter24::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 8204.67, -8151.58, 2630.48);
}
function Zentransporter25::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 6940.87, -8114.04, 2572.74);
}
function Zentransporter26::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 7208.89, -8150.61, 2542.37);
}
function Zentransporter27::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 6940.87, -8114.04, 2572.74);
}
function Zentransporter28::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 7502.77, -8070.8, 2616.1);
}
function Zentransporter29::trigger::onEnter(%this, %vehicleId)
{
setPosition(%vehicleId, 7145.38, -8128.11, 2545.73);
}